> ## Documentation Index
> Fetch the complete documentation index at: https://docs.iviker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询素材

查询单个素材的状态和详细信息。

```
GET /v1/assets/{id}
Authorization: Bearer <API_KEY>
```

`id` 为创建素材时返回的 `asset_xxx`，不要带 `asset://` 前缀。

通常用于轮询素材处理状态，等到 `status=active` 后再提交视频生成任务。

## 示例

```bash theme={null}
curl "https://{your-domain}/v1/assets/asset_6f9a4c2b8d1e3a90" \
  -H "Authorization: Bearer $API_KEY"
```

**处理中响应：**

```json theme={null}
{
  "id": "asset_6f9a4c2b8d1e3a90",
  "uri": "asset://asset_6f9a4c2b8d1e3a90",
  "object": "asset",
  "asset_type": "image",
  "name": "avatar-reference",
  "status": "processing",
  "created_at": 1779782400,
  "updated_at": 1779782400
}
```

**可用响应：**

```json theme={null}
{
  "id": "asset_6f9a4c2b8d1e3a90",
  "uri": "asset://asset_6f9a4c2b8d1e3a90",
  "object": "asset",
  "asset_type": "image",
  "name": "avatar-reference",
  "status": "active",
  "created_at": 1779782400,
  "updated_at": 1779782460
}
```

## 素材状态

| 状态           | 说明               | 是否可用于视频生成 |
| ------------ | ---------------- | --------- |
| `processing` | 平台已受理，正在保存或等待处理。 | 否         |
| `active`     | 素材可用。            | 是         |
| `failed`     | 素材处理失败。          | 否         |
| `disabled`   | 素材已被平台禁用。        | 否         |

## 错误码

| HTTP 状态码 | `error.type`      | 场景                            |
| -------- | ----------------- | ----------------------------- |
| 404      | `asset_not_found` | 素材不存在、不属于当前用户/域名，或传入了无效素材 ID。 |
